GET
/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupon2609170000[立减优惠券] 查看单个优惠券(couponId)
# 01
简介
[立减优惠券] 查看单个优惠券(couponId)
# 02
详细内容
API支持的买家用户地区:韩国
该API用于查看单个优惠券信息,不可查看其他卖家的优惠券。
路径
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupon
示例端点
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/coupon?couponId=91# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 ex) A00012345 |
# 04
Query 参数
| Name | Type | Description |
|---|---|---|
| couponId* | number | 优惠券ID
|
# 05
响应体
响应消息
| Name | Type | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | 服务器响应代码
| ||||||||||||
| message | string | 服务器响应信息
| ||||||||||||
| httpStatus | integer | HTTP
| ||||||||||||
| httpStatusMessage | string | HTTP 状态信息 (与服务器响应信息的值相同)
| ||||||||||||
| errorMessage | string | 除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息
| ||||||||||||
| data | object | 优惠券数据
| ||||||||||||
| success data.success | boolean | 成功与否 true or false | ||||||||||||
| content data.content | object | 单个优惠券数据
| ||||||||||||
| contractId data.content.contractId | integer | 合同ID
| ||||||||||||
| vendorContractId data.content.vendorContractId | number | 卖家合同代码 (酷澎管理代码) ex) -1, 1, 2
| ||||||||||||
| couponId data.content.couponId | integer | 优惠券ID (Wing优惠券号码)
| ||||||||||||
| discount data.content.discount | integer | 折扣率
| ||||||||||||
| endAt data.content.endAt | string | 有效期结束时间 ex)2017-09-01 00:00:00 | ||||||||||||
| maxDiscountPrice data.content.maxDiscountPrice | integer | 最大折扣金额 ex) 1000, 10000 | ||||||||||||
| promotionName data.content.promotionName | string | 促销展名 ex) Dress discount coupon for the 2nd wk of Jan | ||||||||||||
| startAt data.content.startAt | string | 有效期开始时间 ex) 2017-08-04 01:00:00 | ||||||||||||
| status data.content.status | string | 优惠券状态
| ||||||||||||
| type data.content.type | string | 折扣类型 ex) RATE (固定折扣率), FIXED_WITH_QUANTITY(按数量定额折扣), PRICE(定额折扣) | ||||||||||||
| wowExclusive data.content.wowExclusive | string | 发放对象 false (全部:默认值) true (火箭Wow 会员) | ||||||||||||
| Pagination data.Pagination | object[] | 单件优惠券查看,因此无分页
|
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": {
"contractId": 10,
"vendorContractId": null,
"promotionName": null,
"couponId": 91,
"status": "PAUSED",
"type": "RATE",
"maxDiscountPrice": 1000000,
"discount": 99,
"startAt": "2017-11-22 00:00:00",
"endAt": "2017-11-23 23:59:00",
"wowExclusive": "false"
},
"pagination": null
}
}# 06
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request parameter) | 请确认卖家权限 | 查看卖家ID(vendorid)值是否输入正确 |
| 400 | 400 (check request parameter) | 该优惠券不存在,请确认优惠券号码。 | 查看优惠券ID(couponid)值是否输入正确 |